Page MenuHomePhabricator

Wide images cross the translation column border
Closed, ResolvedPublic

Assigned To
Authored By
santhosh
Jul 25 2018, 9:18 AM
Referenced Files
F24945645: Screen Shot 2018-08-14 at 2.59.47 PM.png
Aug 14 2018, 10:02 PM
F24945616: Screen Shot 2018-08-09 at 7.55.49 AM.png
Aug 14 2018, 10:02 PM
F24936683: cx2-timeline-no-double-scroll.png
Aug 14 2018, 3:56 PM
F24936422: cx2-small-image-scroll.png
Aug 14 2018, 3:56 PM
F24936245: cx2-part-of-image-missing.png
Aug 14 2018, 3:56 PM
F24936130: cx2-highlight-overflow.png
Aug 14 2018, 3:56 PM
F24934553: cx2-gif-en-to-es.png
Aug 14 2018, 3:56 PM
F24087542: image.png
Jul 25 2018, 9:18 AM

Description

image.png (498×1 px, 340 KB)

Translation: Gp41 from en to es

Event Timeline

Change 451233 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Avoid wide section overflow hidden

https://gerrit.wikimedia.org/r/451233

Change 451233 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Avoid wide section overflow hidden

https://gerrit.wikimedia.org/r/451233

Petar.petkovic renamed this task from Wide images crosses the translation column border to Wide images cross the translation column border.Aug 14 2018, 10:19 AM

This problem has been ongoing for quite some time, which is indicated by number of duplicates describing overflowing content.

Patch is merged now, but there may be some points to be discussed. Not sure if there alternatives to displaying horizontal scrollbar, but Design tag was added to one of the duplicates T190574, which maybe indicates this problem will need more careful thought.

Problems with current state:

  • VE node/template highlight does not account for horizontal scrollbar which causes following cases:
cx2-gif-en-to-es.png (933×1 px, 76 KB)
cx2-highlight-overflow.png (914×1 px, 172 KB)
  • Part of image is missing (along with caption) for en:Nuclear_drip_line

cx2-part-of-image-missing.png (825×1 px, 51 KB)

  • Horizontal scroll displayed for narrow image

cx2-small-image-scroll.png (930×797 px, 93 KB)

  • Double scroll bar issue from T191754 seems to be reintroduced (on Chrome 68). This is what I used to see before the patch for this ticket.

cx2-timeline-no-double-scroll.png (939×1 px, 136 KB)

Just another case:

  • The description of the image is cut off:

Screen Shot 2018-08-14 at 2.59.47 PM.png (735×908 px, 182 KB)

Before the fix the image was overflowing the source article canvas

Screen Shot 2018-08-09 at 7.55.49 AM.png (734×921 px, 181 KB)

I re-checked the following articles for the issuesin display

  • Gp41 from en to es - the issue that has been fixed.